///
///  RequestStatus.swift
///
///  Copyright (c) 2018 Tony Stone
///
///   Licensed under the Apache License, Version 2.0 (the "License");
///   you may not use this file except in compliance with the License.
///   You may obtain a copy of the License at
///
///   http://www.apache.org/licenses/LICENSE-2.0
///
///   Unless required by applicable law or agreed to in writing, software
///   distributed under the License is distributed on an "AS IS" BASIS,
///   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
///   See the License for the specific language governing permissions and
///   limitations under the License.
///
///  Created by Tony Stone on 4/18/18.
///
import Swift

///
/// Request status types
///
public enum RequestStatus: Equatable {

    /// The request has been granted the requested lock in the requested mode.
    case granted

    /// The request has been denied.
    case denied

    /// The request timed out and was denied.
    case timeout
}

